Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# FadeLODNode Class Reference

A Level-of-Detail node with alpha based switching. More...

Inheritance diagram for FadeLODNode:

List of all members.

## Public Member Functions
| FadeLODNode (string name)
int | getFadeBinDrawOrder ()
| Returns the draw order that is assigned (along with the bin name) to the fading part of the geometry during a transition.
string | getFadeBinName ()
| Returns the cull bin that is assigned to the fading part of the geometry during a transition.
int | getFadeStateOverride ()
| Returns the override value that is applied to the state changes necessary to apply the fade effect.
float | getFadeTime ()
| get the time taken to complete an LOD switch
| setFadeBin (string name, int draw_order)
| Specifies the cull bin and draw order that is assigned to the fading part of the geometry during a transition.
| setFadeStateOverride (int override)
| Specifies the override value that is applied to the state changes necessary to apply the fade effect.
| setFadeTime (float t)
| set the time taken to complete an LOD switch
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A Level-of-Detail node with alpha based switching.

## Constructor & Destructor Documentation

FadeLODNode | ( | string | name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from LODNode.

int getFadeBinDrawOrder | ( |  | ) |

Returns the draw order that is assigned (along with the bin name) to the fading part of the geometry during a transition.

string getFadeBinName | ( |  | ) |

Returns the cull bin that is assigned to the fading part of the geometry during a transition.

int getFadeStateOverride | ( |  | ) |

Returns the override value that is applied to the state changes necessary to apply the fade effect.

This should be larger than any attrib overrides on the fading geometry.

float getFadeTime | ( |  | ) |

get the time taken to complete an LOD switch

setFadeBin | ( | string | name,
|  | int | draw_order
| ) |  |

Specifies the cull bin and draw order that is assigned to the fading part of the geometry during a transition.

setFadeStateOverride | ( | int | override | ) |

Specifies the override value that is applied to the state changes necessary to apply the fade effect.

This should be larger than any attrib overrides on the fading geometry.

setFadeTime | ( | float | t | ) |

set the time taken to complete an LOD switch

All Classes Namespaces Functions Variables Enumerations Enumerator Properties